ros-lyrical-lifecycle (0.37.8-3resolute) resolute; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 Apr 2026 10:29:38 -0000

ros-lyrical-lifecycle (0.37.7-3resolute) resolute; urgency=high

  * Use new ROSIDL aggregate CMake target (#781 <https://github.com/ros2/demos//issues/781>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 24 Mar 2026 00:00:00 -0000

ros-lyrical-lifecycle (0.37.6-3resolute) resolute; urgency=high

  * Switching to example_interfaces (#674 <https://github.com/ros2/demos/issues/674>)
  * Contributors: Lucas Wendland

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 16 Feb 2026 00:00:00 -0000

ros-lyrical-lifecycle (0.37.5-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 09 Jan 2026 00:00:00 -0000

ros-lyrical-lifecycle (0.37.4-3resolute) resolute; urgency=high

  * r-simonelli/demos-lifecycle (#750 <https://github.com/ros2/demos/issues/750>)
  * Contributors: r-simonelli

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Nov 2025 00:00:00 -0000

ros-lyrical-lifecycle (0.37.3-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Sep 2025 00:00:00 -0000

ros-lyrical-lifecycle (0.37.2-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 29 Jul 2025 00:00:00 -0000

ros-lyrical-lifecycle (0.37.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 23 Jun 2025 00:00:00 -0000

ros-lyrical-lifecycle (0.37.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-lyrical-lifecycle (0.36.0-3resolute) resolute; urgency=high

  * Uniform CMAKE min VERSION (#714 <https://github.com/ros2/demos/issues/714>)
  * Use target_link_libraries instead of ament_target_dependencies (#707 <https://github.com/ros2/demos/issues/707>)
  * Contributors: Shane Loretz, mosfet80

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-lyrical-lifecycle (0.35.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 20 Nov 2024 00:00:00 -0000

ros-lyrical-lifecycle (0.35.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 03 Oct 2024 00:00:00 -0000

ros-lyrical-lifecycle (0.34.2-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Jul 2024 00:00:00 -0000

ros-lyrical-lifecycle (0.34.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Jun 2024 00:00:00 -0000

ros-lyrical-lifecycle (0.34.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 26 Apr 2024 00:00:00 -0000

ros-lyrical-lifecycle (0.33.2-3resolute) resolute; urgency=high

  * A few uncrustify fixes for 0.78. (#667 <https://github.com/ros2/demos/issues/667>)
  * Update maintainer list in package.xml files (#665 <https://github.com/ros2/demos/issues/665>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Mar 2024 00:00:00 -0000

ros-lyrical-lifecycle (0.33.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-lyrical-lifecycle (0.33.0-3resolute) resolute; urgency=high

  * Migrate std::bind calls to lambda expressions (#659 <https://github.com/ros2/demos/issues/659>)
  * Contributors: Felipe Gomes de Melo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Jan 2024 00:00:00 -0000

ros-lyrical-lifecycle (0.32.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.32.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.31.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.31.0-3resolute) resolute; urgency=high

  * Switch to using RCLCPP logging macros in the lifecycle package. (#644 <https://github.com/ros2/demos/issues/644>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.30.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.30.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.29.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.28.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.28.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.27.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Apr 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.26.0-3resolute) resolute; urgency=high

  * update launch file name format to match documentation (#588 <https://github.com/ros2/demos/issues/588>)
  * Contributors: Patrick Wspanialy

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.25.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.24.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.24.0-3resolute) resolute; urgency=high

  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-lyrical-lifecycle (0.23.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-lyrical-lifecycle (0.22.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-lyrical-lifecycle (0.21.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-lyrical-lifecycle (0.20.1-3resolute) resolute; urgency=high

  * Make lifecycle demo automatically exit when done (#558 <https://github.com/ros2/demos/issues/558>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-lyrical-lifecycle (0.20.0-3resolute) resolute; urgency=high

  * Use default on_activate()/on_deactivate() implemenetation of Node (#552 <https://github.com/ros2/demos/issues/552>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-lyrical-lifecycle (0.19.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-lyrical-lifecycle (0.18.0-3resolute) resolute; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-lyrical-lifecycle (0.17.0-3resolute) resolute; urgency=high

  * Fix use of future in lifecycle demo (#534 <https://github.com/ros2/demos/issues/534>)
  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha, Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Oct 2021 00:00:00 -0000

ros-lyrical-lifecycle (0.16.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-lyrical-lifecycle (0.15.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 May 2021 00:00:00 -0000

ros-lyrical-lifecycle (0.14.2-3resolute) resolute; urgency=high

  * Cleanup the README.rst for the lifecycle demo. (#508 <https://github.com/ros2/demos/issues/508>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-lyrical-lifecycle (0.14.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 19 Apr 2021 00:00:00 -0000

ros-lyrical-lifecycle (0.14.0-3resolute) resolute; urgency=high

  * change ParameterEventHandler to take events as const ref instead of shared pointer (#494 <https://github.com/ros2/demos/issues/494>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-lyrical-lifecycle (0.13.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Mar 2021 00:00:00 -0000

ros-lyrical-lifecycle (0.12.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-lyrical-lifecycle (0.12.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-lyrical-lifecycle (0.11.0-3resolute) resolute; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-lyrical-lifecycle (0.10.1-3resolute) resolute; urgency=high

  * Add missing required parameter in LifecycleNode launch action (#456 <https://github.com/ros2/demos/issues/456>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-lyrical-lifecycle (0.10.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-lyrical-lifecycle (0.9.3-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-lyrical-lifecycle (0.9.2-3resolute) resolute; urgency=high

  * Fix typo (#445 <https://github.com/ros2/demos/issues/445>)
  * Replace ``ros2 msg`` command in lifecycle README (#446 <https://github.com/ros2/demos/issues/446>)
  * Contributors: Audrow Nash, Shota Aoki

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-lyrical-lifecycle (0.9.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-lyrical-lifecycle (0.9.0-3resolute) resolute; urgency=high

  * Replace deprecated launch_ros usage (#437 <https://github.com/ros2/demos/issues/437>)
  * Update launch_ros action usage (#431 <https://github.com/ros2/demos/issues/431>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-lyrical-lifecycle (0.8.4-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.8.3-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 Nov 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.8.2-3resolute) resolute; urgency=high

  * Remove unnecessary dependency on ros2run (#413 <https://github.com/ros2/demos/issues/413>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Nov 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.8.1-3resolute) resolute; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.8.0-3resolute) resolute; urgency=high

  * Fix lifecycle_service_client namespace (#369 <https://github.com/ros2/demos/issues/369>)
  * Contributors: Cameron Evans

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.7.6-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 30 May 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.7.5-3resolute) resolute; urgency=high

  * Update asciinema recordings (#360 <https://github.com/ros2/demos/issues/360>)
  * Use rate instead of thread::sleep to react to Ctrl-C (#348 <https://github.com/ros2/demos/issues/348>)
  * Contributors: Dirk Thomas, Karsten Knese

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.7.4-3resolute) resolute; urgency=high

  * Add lifecycle rostest (#336 <https://github.com/ros2/demos/issues/336>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.7.3-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 10 May 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.7.2-3resolute) resolute; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Contributors: William Woodall, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.7.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 26 Apr 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.7.0-3resolute) resolute; urgency=high

  * Updated for NodeOptions Node constructor. (#308 <https://github.com/ros2/demos/issues/308>)
  * Contributors: Michael Carroll

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 14 Apr 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.6.2-3resolute) resolute; urgency=high

  * Added readme.rst (#300 <https://github.com/ros2/demos/issues/300>)
  * Contributors: Karsten Knese

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 15 Jan 2019 00:00:00 -0000

ros-lyrical-lifecycle (0.6.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Dec 2018 00:00:00 -0000

ros-lyrical-lifecycle (0.6.0-3resolute) resolute; urgency=high

  * Cleaned up lifecycle demo (#283 <https://github.com/ros2/demos/issues/283>)
  * Updated for refactoring in rclcpp (#276 <https://github.com/ros2/demos/issues/276>)
  * Added semicolons to all RCLCPP and RCUTILS macros. (#278 <https://github.com/ros2/demos/issues/278>)
  * Fixed typo in comment (#270 <https://github.com/ros2/demos/issues/270>)
  * Contributors: Chris Lalancette, Karsten Knese, Yutaka Kondo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 07 Dec 2018 00:00:00 -0000

ros-lyrical-lifecycle (0.5.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-lyrical-lifecycle (0.5.0-3resolute) resolute; urgency=high

  * Converted launch files to the new launch style. (#262 <https://github.com/ros2/demos/issues/262>)
  * Updated to support remapping arguments to python nodes by passing unused arguments to rclpy from argparse. (#252 <https://github.com/ros2/demos/issues/252>)
  * Updated to handle change in signature to ``get_service_name``. (#245 <https://github.com/ros2/demos/issues/245>)
  * Updated launch files to account for the "old launch" getting renamespaced as ``launch`` -> ``launch.legacy``. (#239 <https://github.com/ros2/demos/issues/239>)
  * Updated service client demos to handle multiple requests. (#228 <https://github.com/ros2/demos/issues/228>)
  * Contributors: Geoffrey Biggs, Kevin Allen, Shane Loretz, William Woodall, dhood

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000


